### Method

# FwupdPlugin SecurityAttrs get_by_appstream_id

since: 1.9.6

#### Declaration [src]

    FwupdSecurityAttr*
    fu_security_attrs_get_by_appstream_id (
      FuSecurityAttrs* self,
      const gchar* appstream_id,
      GError** error
    )

#### Description [src]

Gets a specific `FwupdSecurityAttr` from the array.

Available since: 1.9.6

#### Parameters

`appstream_id`

  Type: `const gchar*`

  An ID, e.g. `FWUPD_SECURITY_ATTR_ID_ENCRYPTED_RAM`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FwupdSecurityAttr`

A `FwupdSecurityAttr` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.